%define major 11
%define libname %mklibname xklavier %major
Name:		libxklavier
Summary:	X Keyboard support library
Version:	3.2
Release:	%mkrel 1
License:	LGPL
Group:		System/Libraries
Url:		http://gswitchit.sourceforge.net/
# (fc) 3.1-3mdv fix realloc misuse (CVS)
Patch1:		libxklavier-3.1-realloc.patch
BuildRequires:	libxml2-devel
BuildRequires:	doxygen
BuildRequires:	libxkbfile-devel
BuildRequires:	glib2-devel
BuildRequires:	gtk-doc
BuildRequires:	automake1.9
BuildRequires:	gettext-devel
Source0:	http://prdownloads.sourceforge.net/gswitchit/%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
This library allows you simplify XKB-related development.

%package data
Summary:	Keyboard description data
Group:		System/Libraries

%description data
This contains the data files needed by %name.

%package -n %libname
Summary:	X Keyboard support library
Group:		System/Libraries
Requires: 	%name-data >= %version-%release

%description -n %libname
This library allows you simplify XKB-related development.

%package -n %libname-devel
Summary: Libraries, includes, etc to develop libxklavier applications
Group: Development/C
Requires: %{libname} = %{version}
Provides: %name-devel = %version-%release
Conflicts: %{_lib}xklavier8-devel

%description  -n %libname-devel
Libraries, include files, etc you can use to develop libxklavier
applications.

%package -n %libname-static-devel
Group: Development/C
Summary: Static library of %name
Requires: %libname-devel = %version
Provides: %{name}-static-devel = %{version}-%{release}

%description -n %libname-static-devel
This package contains the static library required for statically
linking applications based on %{name}.

%prep
%setup -q
%patch1 -p1 -b .fixrealloc

%build
if [ ! -f configure ]; then
    CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh
fi
%configure2_5x --enable-doxygen --with-xkb-base=%_datadir/X11/xkb/ --with-xkb-bin-base=%_bindir/ --enable-xmm-support
%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf %{buildroot}


%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig


%files data
%defattr(-, root, root)
%doc README
%{_datadir}/libxklavier


%files -n %libname
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING.LIB 
%{_libdir}/lib*.so.%{major}*

%files -n %libname-devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/*.pc
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/*
%_datadir/gtk-doc/html/libxklavier/

%files -n %libname-static-devel
%defattr(-, root, root)
%{_libdir}/*.a


%changelog
* Tue Mar 27 2007 Frederic Crozat <fcrozat@mandriva.com> 3.2-1mdv2007.1
+ Revision: 149103
- Release 3.2 (fix incorrect group settings)
- Remove patch0 (fixed differently upstream)

* Thu Mar 15 2007 Frederic Crozat <fcrozat@mandriva.com> 3.1-3mdv2007.1
+ Revision: 144444
- Patch1 (Debian): fix bad realloc usage

* Thu Dec 07 2006 Götz Waschk <waschk@mandriva.org> 3.1-2mdv2007.1
+ Revision: 91920
- patch for bug #27504
- fix buildrequires

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 3.1-1mdv2007.1
+ Revision: 88718
- Import libxklavier



* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 3.1-1mdv2007.1
- New version 3.1

* Wed Aug 30 2006 Frederic Crozat <fcrozat@mandriva.com> 3.0-1mdv2007.0
- Release 3.0

* Sat Jul  1 2006 Guillaume Bedot <littletux@mandriva.org> 2.91-3mdv2007.0
- fix xkb-bin-base

* Sat Jun  3 2006 Gtz Waschk <waschk@mandriva.org> 2.91-2mdv2007.0
- fix xkb prefix
- fix buildrequires

* Thu Jun 01 2006 Frederic Crozat <fcrozat@mandriva.com> 2.91-1mdv2007.0
- Release 2.91
- Remove patch0

* Wed Mar 15 2006 Götz Waschk <waschk@mandriva.org> 2.2-1mdk
- New release 2.2

* Wed Jan 04 2006 Götz Waschk <waschk@mandriva.org> 2.1-1mdk
- New release 2.1
- use mkrel

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.0-6mdk
- Rebuild

* Wed Aug 24 2005 Frederic Crozat <fcrozat@mandriva.com> 2.0-5mdk 
- Rebuild with gtk+ 2.8

* Sat May 21 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.0-4mdk
- add BuildRequires: gettext-devel

* Thu May 19 2005 Gtz Waschk <waschk@mandriva.org> 2.0-3mdk
- fix build with gcc4

* Fri Apr 22 2005 Frederic Crozat <fcrozat@mandriva.com> 2.0-2mdk 
- Add conflicts to ease update

* Wed Apr 20 2005 Frederic Crozat <fcrozat@mandriva.com> 2.0-1mdk 
- Release 2.0 (from Gtz Waschk package)
- enable xmodmap support
- Remove patches 0, 1 (merged upstream)

* Tue Feb 08 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.04-2mdk 
- Patch0 (Gentoo): fix double free (Mdk bug #13445)

* Mon Oct 25 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.04-1mdk
- New release 1.04

* Mon Sep 20 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.03-2mdk
- lib64 & 64-bit fixes
- provides libxklavier-static-devel

* Thu Jul  8 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.03-1mdk
- use installed docs
- reenable libtoolize
- fix source URL
- New release 1.03

* Wed Apr 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.02-1mdk
- fix buildrequires
- new version

* Mon Apr 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.01-1mdk
- new version

* Fri Apr  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.00-1mdk
- new version

* Thu Feb 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.97-2mdk
- rebuild against xfree 4.3

* Mon Jan 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.97-1mdk
- fix major number
- new version

* Sun Dec 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.96-1mdk
- don't libtoolize
- new version

* Tue Nov  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.95-3mdk
- another buildrequires fix

* Tue Nov  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.95-2mdk
- fix buildrequires

* Wed Oct 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.95-1mdk
- initial packagee
